# Interface DeepClientInstance<L>

interface DeepClientInstance<L> {
apolloClient: IApolloClient<any>;
canSelectReturning?: string;
deep: DeepClientInstance<L>;
DeepClient: typeof DeepClient;
DeepContext: Context<DeepClient<Link<Id>>>;
DeepProvider: ((__namedParameters: {
apolloClient?: IApolloClient<any>;
children?: any;
minilinks?: MinilinkCollection<MinilinksGeneratorOptions, Link<Id>>;
namespace?: string;
}) => Element);
defaultDeleteName?: string;
defaultInsertName?: string;
defaultSelectName?: string;
defaultUpdateName?: string;
deleteReturning?: string;
emitter: EventEmitter<DefaultEventMap>;
eval: ((options: {
context?: Id[];
handlerId?: Id;
input?: any;
linkId?: Id;
value?: string;
}) => Promise<{
data?: any;
error?: any;
}>);
filesSelectReturning?: string;
gql: typeof gql;
handleAuth?: ((linkId?: Id, token?: string) => any);
handleOperation?: ((operation: string, query?: any, value?: any, options?: any) => any);
handlersSelectReturning?: string;
insertReturning?: string;
linkId?: Id;
linksSelectReturning?: string;
minilinks: MinilinksResult<L>;
ml: MinilinksResult<L>;
namespace?: string;
returning?: string;
selectorsSelectReturning?: string;
selectReturning?: string;
table?: string;
token?: string;
treeSelectReturning?: string;
unsafe?: any;
updateReturning?: string;
url: ((target: "deeplinks" | "gql") => string);
useDeep: (() => DeepClient<Link<Id>>);
useDeepId: ((start: QueryLink | DeepClientStartItem, ...path: DeepClientPathItem[]) => {
data: Id;
error?: any;
loading: boolean;
});
useDeepQuery: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => {
data?: LL[];
error?: any;
loading: boolean;
refetch?: (() => Promise<any>);
});
useDeepSubscription: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => UseDeepSubscriptionResult<LL>);
useId: ((start: QueryLink | DeepClientStartItem, ...path: DeepClientPathItem[]) => {
data: Id;
error?: any;
loading: boolean;
});
useLink: ((link: Id | Link<Id>) => MinilinksLink<Id>);
useLinks: ((...links: (Id | Link<Id>)[]) => MinilinksLink<Id>[]);
useLocalQuery: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[]);
useLocalSubscription: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[]);
useMinilinksQuery: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[]);
useMinilinksSubscription: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[]);
useQuery: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => {
data?: LL[];
error?: any;
loading: boolean;
refetch?: (() => Promise<any>);
});
useSearch: ((value: string, options?: DeepSearchOptions) => any);
useSubscription: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => UseDeepSubscriptionResult<LL>);
valuesSelectReturning?: string;
await(id: Id): Promise<boolean>;
can(objectIds: Id[], subjectIds: Id[], actionIds: Id[]): Promise<boolean>;
delete<TTable>(exp: Exp<TTable>, options?: WriteOptions<TTable>): Promise<DeepClientResult<{
id: any;
}[]>>;
get(...id: Id[]): MinilinksLink<Id>;
getRemote(...id: Id[]): Promise<MinilinksLink<Id>>;
guest(options: DeepClientGuestOptions): Promise<DeepClientAuthResult>;
id(start:
| string
| number
| QueryLink
| Id[], ...path: DeepClientPathItem[]): Promise<Id>;
idLocal(start: DeepClientStartItem, ...path: DeepClientPathItem[]): Id;
insert<TTable, LL>(objects: InsertObjects<TTable>, options?: WriteOptions<TTable>): Promise<DeepClientResult<{
id: any;
}[]>>;
isId(id: any): boolean;
isLink(link: any): boolean;
jwt(options: DeepClientJWTOptions): Promise<DeepClientAuthResult>;
login(options: DeepClientJWTOptions): Promise<DeepClientAuthResult>;
logout(): Promise<DeepClientAuthResult>;
name(input: Id | Link<Id>): Promise<string>;
nameLocal(input: Id | Link<Id>): string;
one(exp:
| string
| number
| QueryLink
| Id[]): Promise<L>;
Packager(): Packager<L>;
reserve<LL>(count: number): Promise<Id[]>;
search(value: string, options: DeepSearchOptions): Promise<DeepClientResult<number | L[]>>;
searchQuery(value: string, options: {
contains: boolean;
db: boolean;
query: boolean;
regexp: boolean;
sort: boolean;
values: boolean;
}): Exp<"links">;
select<TTable, LL>(exp: Exp<TTable>, options?: ReadOptions<TTable>): Promise<DeepClientResult<number | LL[]>>;
serial(options: AsyncSerialParams): Promise<DeepClientResult<{
id: any;
}[]>>;
serializeQuery(exp: any, env?: string): any;
serializeWhere(exp: any, env?: string): any;
stringify(any?: any): string;
subscribe<TTable, LL>(exp: Exp<TTable>, options?: ReadOptions<TTable>): Observable<number | LL[]>;
symbol(input: Id | Link<Id>): Promise<string>;
symbolLocal(input: Id | Link<Id>): string;
Traveler(links: Link<Id>[]): Traveler;
unvertualizeId(id: Id): Id;
update<TTable>(exp: Exp<TTable>, value: UpdateValue<TTable>, options?: WriteOptions<TTable>): Promise<DeepClientResult<{
id: any;
}[]>>;
useLocalApply(data: any, name: string): any;
useMinilinksApply(data: any, name: string): any;
value(id: Id, value?: string | number | Object): Promise<{
data: string | number | Object;
id: Id;
link?: Link<Id>;
Value?: Link<Id>;
[key: string]: any;
}>;
}

#### Type Parameters

- L extends Link<Id> = Link<Id>

#### Hierarchy (view full)

- DeepClientInstance
  - CyberDeepClientInstance

#### Implemented by

- DeepClient

- Defined in work/deeplinks/deeplinks/imports/client.tsx:498

#####
Index

### Properties

apolloClient
canSelectReturning?
deep
DeepClient
DeepContext
DeepProvider
defaultDeleteName?
defaultInsertName?
defaultSelectName?
defaultUpdateName?
deleteReturning?
emitter
eval
filesSelectReturning?
gql
handleAuth?
handleOperation?
handlersSelectReturning?
insertReturning?
linkId?
linksSelectReturning?
minilinks
ml
namespace?
returning?
selectorsSelectReturning?
selectReturning?
table?
token?
treeSelectReturning?
unsafe?
updateReturning?
url
useDeep
useDeepId
useDeepQuery
useDeepSubscription
useId
useLink
useLinks
useLocalQuery
useLocalSubscription
useMinilinksQuery
useMinilinksSubscription
useQuery
useSearch
useSubscription
valuesSelectReturning?

### Methods

await
can
delete
get
getRemote
guest
id
idLocal
insert
isId
isLink
jwt
login
logout
name
nameLocal
one
Packager
reserve
search
searchQuery
select
serial
serializeQuery
serializeWhere
stringify
subscribe
symbol
symbolLocal
Traveler
unvertualizeId
update
useLocalApply
useMinilinksApply
value

##
Properties

### apolloClient

apolloClient: IApolloClient<any>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:510

### `Optional` canSelectReturning

canSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:519

### deep

deep: DeepClientInstance<L>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:506

### DeepClient

DeepClient: typeof DeepClient

- Defined in work/deeplinks/deeplinks/imports/client.tsx:507

### DeepContext

DeepContext: Context<DeepClient<Link<Id>>>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:600

### DeepProvider

DeepProvider: ((__namedParameters: {
apolloClient?: IApolloClient<any>;
children?: any;
minilinks?: MinilinkCollection<MinilinksGeneratorOptions, Link<Id>>;
namespace?: string;
}) => Element)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:599

### `Optional` defaultDeleteName

defaultDeleteName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:531

### `Optional` defaultInsertName

defaultInsertName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:529

### `Optional` defaultSelectName

defaultSelectName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:528

### `Optional` defaultUpdateName

defaultUpdateName?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:530

### `Optional` deleteReturning

deleteReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:526

### emitter

emitter: EventEmitter<DefaultEventMap>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:633

### eval

eval: ((options: {
context?: Id[];
handlerId?: Id;
input?: any;
linkId?: Id;
value?: string;
}) => Promise<{
data?: any;
error?: any;
}>)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:605

### `Optional` filesSelectReturning

filesSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:522

### gql

gql: typeof gql

- Defined in work/deeplinks/deeplinks/imports/client.tsx:508

### `Optional` handleAuth

handleAuth?: ((linkId?: Id, token?: string) => any)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:503

### `Optional` handleOperation

handleOperation?: ((operation: string, query?: any, value?: any, options?: any) => any)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:504

### `Optional` handlersSelectReturning

handlersSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:523

### `Optional` insertReturning

insertReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:524

### `Optional` linkId

linkId?: Id

- Defined in work/deeplinks/deeplinks/imports/client.tsx:501

### `Optional` linksSelectReturning

linksSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:517

### minilinks

minilinks: MinilinksResult<L>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:511

### ml

ml: MinilinksResult<L>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:512

### `Optional` namespace

namespace?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:499

### `Optional` returning

returning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:514

### `Optional` selectorsSelectReturning

selectorsSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:518

### `Optional` selectReturning

selectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:516

### `Optional` table

table?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:513

### `Optional` token

token?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:502

### `Optional` treeSelectReturning

treeSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:520

### `Optional` unsafe

unsafe?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:533

### `Optional` updateReturning

updateReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:525

### url

url: ((target: "deeplinks" | "gql") => string)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:635

### useDeep

useDeep: (() => DeepClient<Link<Id>>)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:598

### useDeepId

useDeepId: ((start: QueryLink | DeepClientStartItem, ...path: DeepClientPathItem[]) => {
data: Id;
error?: any;
loading: boolean;
})

- Defined in work/deeplinks/deeplinks/imports/client.tsx:584

### useDeepQuery

useDeepQuery: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => {
data?: LL[];
error?: any;
loading: boolean;
refetch?: (() => Promise<any>);
})

- Defined in work/deeplinks/deeplinks/imports/client.tsx:590

### useDeepSubscription

useDeepSubscription: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => UseDeepSubscriptionResult<LL>)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:588

### useId

useId: ((start: QueryLink | DeepClientStartItem, ...path: DeepClientPathItem[]) => {
data: Id;
error?: any;
loading: boolean;
})

- Defined in work/deeplinks/deeplinks/imports/client.tsx:583

### useLink

useLink: ((link: Id | Link<Id>) => MinilinksLink<Id>)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:585

### useLinks

useLinks: ((...links: (Id | Link<Id>)[]) => MinilinksLink<Id>[])

- Defined in work/deeplinks/deeplinks/imports/client.tsx:586

### useLocalQuery

useLocalQuery: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[])

- Defined in work/deeplinks/deeplinks/imports/client.tsx:594

### useLocalSubscription

useLocalSubscription: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[])

- Defined in work/deeplinks/deeplinks/imports/client.tsx:595

### useMinilinksQuery

useMinilinksQuery: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[])

- Defined in work/deeplinks/deeplinks/imports/client.tsx:591

### useMinilinksSubscription

useMinilinksSubscription: ((query: Exp<"links">, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>) => L[])

- Defined in work/deeplinks/deeplinks/imports/client.tsx:592

### useQuery

useQuery: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => {
data?: LL[];
error?: any;
loading: boolean;
refetch?: (() => Promise<any>);
})

- Defined in work/deeplinks/deeplinks/imports/client.tsx:589

### useSearch

useSearch: ((value: string, options?: DeepSearchOptions) => any)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:597

### useSubscription

useSubscription: (<Table, LL>(query: Exp<Table>, options?: Options<Table>) => UseDeepSubscriptionResult<LL>)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:587

### `Optional` valuesSelectReturning

valuesSelectReturning?: string

- Defined in work/deeplinks/deeplinks/imports/client.tsx:521

##
Methods

### await

- await(id): Promise<boolean>

- #### Parameters

  - id: Id

  #### Returns Promise<boolean>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:551

### can

- can(objectIds, subjectIds, actionIds): Promise<boolean>

- #### Parameters

  - objectIds: Id[]
  - subjectIds: Id[]
  - actionIds: Id[]

  #### Returns Promise<boolean>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:581

### delete

- delete<TTable>(exp, options?): Promise<DeepClientResult<{
  id: any;
  }[]>>

- #### Type Parameters

  - TTable extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"

  #### Parameters

  - exp: Exp<TTable>
  - `Optional` options: WriteOptions<TTable>

  #### Returns Promise<DeepClientResult<{
  id: any;
  }[]>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:545

### get

- get(...id): MinilinksLink<Id>

- #### Parameters

  - `Rest`...id: Id[]

  #### Returns MinilinksLink<Id>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:619

### getRemote

- getRemote(...id): Promise<MinilinksLink<Id>>

- #### Parameters

  - `Rest`...id: Id[]

  #### Returns Promise<MinilinksLink<Id>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:620

### guest

- guest(options): Promise<DeepClientAuthResult>

- #### Parameters

  - options: DeepClientGuestOptions

  #### Returns Promise<DeepClientAuthResult>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:573

### id

- id(start, ...path): Promise<Id>

- #### Parameters

  - start:
    | string
    | number
    | QueryLink
    | Id[]
  - `Rest`...path: DeepClientPathItem[]

  #### Returns Promise<Id>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:565

### idLocal

- idLocal(start, ...path): Id

- #### Parameters

  - start: DeepClientStartItem
  - `Rest`...path: DeepClientPathItem[]

  #### Returns Id

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:566

### insert

- insert<TTable, LL>(objects, options?): Promise<DeepClientResult<{
  id: any;
  }[]>>

- #### Type Parameters

  - TTable extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"
  - LL = L

  #### Parameters

  - objects: InsertObjects<TTable>
  - `Optional` options: WriteOptions<TTable>

  #### Returns Promise<DeepClientResult<{
  id: any;
  }[]>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:541

### isId

- isId(id): boolean

- #### Parameters

  - id: any

  #### Returns boolean

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:617

### isLink

- isLink(link): boolean

- #### Parameters

  - link: any

  #### Returns boolean

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:618

### jwt

- jwt(options): Promise<DeepClientAuthResult>

- #### Parameters

  - options: DeepClientJWTOptions

  #### Returns Promise<DeepClientAuthResult>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:575

### login

- login(options): Promise<DeepClientAuthResult>

- #### Parameters

  - options: DeepClientJWTOptions

  #### Returns Promise<DeepClientAuthResult>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:577

### logout

- logout(): Promise<DeepClientAuthResult>

- #### Returns Promise<DeepClientAuthResult>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:579

### name

- name(input): Promise<string>

- #### Parameters

  - input: Id | Link<Id>

  #### Returns Promise<string>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:568

### nameLocal

- nameLocal(input): string

- #### Parameters

  - input: Id | Link<Id>

  #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:569

### one

- one(exp): Promise<L>

- #### Parameters

  - exp:
    | string
    | number
    | QueryLink
    | Id[]

  #### Returns Promise<L>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:537

### Packager

- Packager(): Packager<L>

- #### Returns Packager<L>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:603

### reserve

- reserve<LL>(count): Promise<Id[]>

- #### Type Parameters

  - LL = L

  #### Parameters

  - count: number

  #### Returns Promise<Id[]>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:549

### search

- search(value, options): Promise<DeepClientResult<number | L[]>>

- #### Parameters

  - value: string
  - options: DeepSearchOptions

  #### Returns Promise<DeepClientResult<number | L[]>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:622

### searchQuery

- searchQuery(value, options): Exp<"links">

- #### Parameters

  - value: string
  - options: {
    contains: boolean;
    db: boolean;
    query: boolean;
    regexp: boolean;
    sort: boolean;
    values: boolean;
    }

    - ##### contains: boolean

    - ##### db: boolean

    - ##### query: boolean

    - ##### regexp: boolean

    - ##### sort: boolean

    - ##### values: boolean

  #### Returns Exp<"links">

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:624

### select

- select<TTable, LL>(exp, options?): Promise<DeepClientResult<number | LL[]>>

- #### Type Parameters

  - TTable extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"
    | "can"
    | "selectors"
    | "tree"
    | "handlers"
  - LL = L

  #### Parameters

  - exp: Exp<TTable>
  - `Optional` options: ReadOptions<TTable>

  #### Returns Promise<DeepClientResult<number | LL[]>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:538

### serial

- serial(options): Promise<DeepClientResult<{
  id: any;
  }[]>>

- #### Parameters

  - options: AsyncSerialParams

  #### Returns Promise<DeepClientResult<{
  id: any;
  }[]>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:547

### serializeQuery

- serializeQuery(exp, env?): any

- #### Parameters

  - exp: any
  - `Optional` env: string

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:562

### serializeWhere

- serializeWhere(exp, env?): any

- #### Parameters

  - exp: any
  - `Optional` env: string

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:561

### stringify

- stringify(any?): string

- #### Parameters

  - `Optional` any: any

  #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:535

### subscribe

- subscribe<TTable, LL>(exp, options?): Observable<number | LL[]>

- #### Type Parameters

  - TTable extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"
    | "can"
    | "selectors"
    | "tree"
    | "handlers"
  - LL = L

  #### Parameters

  - exp: Exp<TTable>
  - `Optional` options: ReadOptions<TTable>

  #### Returns Observable<number | LL[]>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:539

### symbol

- symbol(input): Promise<string>

- #### Parameters

  - input: Id | Link<Id>

  #### Returns Promise<string>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:570

### symbolLocal

- symbolLocal(input): string

- #### Parameters

  - input: Id | Link<Id>

  #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:571

### Traveler

- Traveler(links): Traveler

- #### Parameters

  - links: Link<Id>[]

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:602

### unvertualizeId

- unvertualizeId(id): Id

- #### Parameters

  - id: Id

  #### Returns Id

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:563

### update

- update<TTable>(exp, value, options?): Promise<DeepClientResult<{
  id: any;
  }[]>>

- #### Type Parameters

  - TTable extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"

  #### Parameters

  - exp: Exp<TTable>
  - value: UpdateValue<TTable>
  - `Optional` options: WriteOptions<TTable>

  #### Returns Promise<DeepClientResult<{
  id: any;
  }[]>>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:543

### useLocalApply

- useLocalApply(data, name): any

- #### Parameters

  - data: any
  - name: string

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:596

### useMinilinksApply

- useMinilinksApply(data, name): any

- #### Parameters

  - data: any
  - name: string

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:593

### value

- value(id, value?): Promise<{
  data: string | number | Object;
  id: Id;
  link?: Link<Id>;
  Value?: Link<Id>;
  [key: string]: any;
  }>

- #### Parameters

  - id: Id
  - `Optional` value: string | number | Object

  #### Returns Promise<{
  data: string | number | Object;
  id: Id;
  link?: Link<Id>;
  Value?: Link<Id>;
  [key: string]: any;
  }>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:553